Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class Resources

`java.lang.Object
oracle.ovs.api.datamodel.resource.Resources`

      public class Resources

extends java.lang.Object

OracleVM supported resource types

Field Summary
`static Resources` | `CDROM_DEVICE`
`static Resources` | `FILE`
`static Resources` | `ISO_FILE`
`static Resources` | `ORACLEVM_VM_IMAGE`
`static Resources` | `ORACLEVM_VM_TEMPLATE`
`static Resources` | `PHYSICAL_DEVICE`
`static Resources` | `SHARED_VIRTUAL_DISK`
`static Resources` | `VMWARE_IMAGE`
`static Resources` | `VMWARE_TEMPLATE`

Constructor Summary
`Resources()`
`Resources(java.lang.String location, java.lang.String flag)`

Method Summary
`boolean` | `equals(Resources res)`
`java.lang.String` | `getFlag()`
`java.lang.String` | `getType()`
`boolean` | `isImage()`
`boolean` | `isOracleVM()`
`boolean` | `isTemplate()`
`java.lang.String` | `location()`
`java.lang.String` | `location(java.lang.String resName)`
`java.lang.String` | `location(java.lang.String directory, java.lang.String resName)`
`void` | `setFlag(java.lang.String flag)`
`static java.lang.String` | `typeOf(Resources res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORACLEVM_VM_TEMPLATE

    public static final Resources ORACLEVM_VM_TEMPLATE

### ORACLEVM_VM_IMAGE

    public static final Resources ORACLEVM_VM_IMAGE

### VMWARE_TEMPLATE

    public static final Resources VMWARE_TEMPLATE

### VMWARE_IMAGE

    public static final Resources VMWARE_IMAGE

### SHARED_VIRTUAL_DISK

    public static final Resources SHARED_VIRTUAL_DISK

### ISO_FILE

    public static final Resources ISO_FILE

### PHYSICAL_DEVICE

    public static final Resources PHYSICAL_DEVICE

### CDROM_DEVICE

    public static final Resources CDROM_DEVICE

### FILE

    public static final Resources FILE

Constructor Detail

### Resources

    public Resources()

### Resources

    public Resources(java.lang.String location,
                     java.lang.String flag)

Method Detail

### getFlag

    public java.lang.String getFlag()

### setFlag

    public void setFlag(java.lang.String flag)

### equals

    public boolean equals(Resources res)

### location

    public java.lang.String location()

### location

    public java.lang.String location(java.lang.String resName)

### location

    public java.lang.String location(java.lang.String directory,
                                     java.lang.String resName)

### getType

    public java.lang.String getType()

### isOracleVM

    public boolean isOracleVM()

### isTemplate

    public boolean isTemplate()

### isImage

    public boolean isImage()

### typeOf

    public static java.lang.String typeOf(Resources res)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.